#include <QStylePlugin>
#include "CyberQueerStyle.h"

class CyberQueerStylePlugin : public QStylePlugin {
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QStyleFactoryInterface" FILE "cyberqueer.json")
public:
    QStyle *create(const QString &key) override
    {
        if (key.compare(QLatin1String("cyberqueer"), Qt::CaseInsensitive) == 0)
            return new CyberQueerStyle;
        return nullptr;
    }
};

#include "plugin.moc"
